const tinyComponentsWebpack = require('@tiny-components/webpack')
const riotRules = require('@tiny-components/webpack/rules/riot')
const path = require('path')

module.exports = tinyComponentsWebpack({
    styles: [ './src/scss/styles.scss' ],
}, {
    destination: path.resolve(process.cwd(), 'templates'),
    svg: {
        src: [ 
            './icons/*.svg'
        ]
    },
    rules: [ riotRules ],
    purge: {
        src: path.join(__dirname, './**'),
        safelist: {
            deep: [ /toast/ ]
        }
    }
})
